#***************************************************************
#SimLab Version 2018 Beta(64-bit)
#Created at Thu May 03 15:40:25 2018
#***************************************************************
import simlab


# ImportSlb=''' <ImportSlb CheckBox="ON" UUID="C806F6DF-56FA-4134-9AD1-1010BF292183" gda="">
  # <tag Value="1"/>
  # <Name Value=""/>
  # <FileName Value="./WasherCircles.slb"/>
  # <ImportOrOpen Value="0"/>
  # <Output/>
 # </ImportSlb>''';
# simlab.execute(ImportSlb);


def IndentifyMinandMaxRadiusOfCircles():

    arrWasherCircles = ["Circles*"];
    allWasherCirclesGroups = simlab.getGroupsWithSubString("EdgeGroup",arrWasherCircles);

    if not allWasherCirclesGroups:
        simlab.messageBox.popupmsg("No Circles Groups found!");
    else:
        washerCirclesEdges = list();
        
        for g in allWasherCirclesGroups:
            ids = simlab.getEntityFromGroup(g);
            washerCirclesEdges.extend(ids)

        washerCirclesEdges = list(set(washerCirclesEdges))

        ModelName = simlab.getModelName("CAD");

        RadiusList = list();
        for Edge in washerCirclesEdges:
            Values=simlab.getArcEdgeAttributes(ModelName,Edge);
            if len(Values) == 2:
                RadiusList.extend(Values[1]);

        if len(RadiusList) == 0:
            print("No edges found");
            return;
        
        RadiusList.sort();
        size = len(RadiusList);

        MinRadius = 0;MaxRadius = 0;
        if(size != 0):#Minimum Radius of cirlces
            MinRadius = RadiusList[0];
        if(size > 1):#Maximum Radius of circles
            MaxRadius = RadiusList[size-1];
        
        # print("Min Radius:",MinRadius,"Max Radius :",MaxRadius);

        return MinRadius,MaxRadius;

MIN_Radius,MAX_Radius=IndentifyMinandMaxRadiusOfCircles();
print("Min Radius:",MIN_Radius,"Max Radius :",MAX_Radius);

